## asus-oled-dkms 0.04

=== Makefile ===
ifneq ($(KERNELRELEASE),)

obj-m := asus_oled.o

else

obj-m := asus_oled.o

KVER  := $(shell uname -r)

KDIR := /lib/modules/$(KVER)/build
MDIR := /lib/modules/$(KVER)/extra/
PWD := $(shell pwd)

default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

install:
	install -d $(MDIR)
	install -m 644 -c $(obj-m:.o=.ko) $(MDIR)
	depmod -a

clean:
	rm -rf *~ *.mod.c *.o *.ko .tmp_versions Module.symvers .$(obj-m:.o=)* modules.order

endif

=== debian/changelog ===
asus-oled-dkms (0.04-2) unstable; urgency=low

  * Apply debian patch from Evgeni Golov. Closes: #679981

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Thu, 05 Jul 2012 13:06:58 +0400

asus-oled-dkms (0.04-1) unstable; urgency=low

  * Initial Release. Closes: #582851

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Thu, 14 Jun 2012 12:16:47 +0400

=== debian/control ===
Source: asus-oled-dkms
Section: misc
Priority: optional
Maintainer: Roman V. Nikolaev <rshadow@rambler.ru>
Build-Depends: debhelper (>= 8.0.0), dkms
Standards-Version: 3.9.3
Homepage: http://lapsus.berlios.de/asus_oled.html
Vcs-Git: git://github.com/rshadow/asus_oled.git
Vcs-Browser: https://github.com/rshadow/asus_oled

Package: asus-oled-dkms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Driver for Asus OLED display present in some Asus laptops
 This is a driver for small OLED display device present in some Asus laptops.
 .
 Supported models: G1, G2, G50, G70 and their variants.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

%:
	dh $@ --with dkms

override_dh_auto_install:
	
override_dh_auto_build:
	# don't try to build the kernel module at package build time
	# see #679981
	
git-buildpackage:	
	git-buildpackage \
		--git-upstream-branch=upstream \
		--git-debian-branch=master \
		--git-ignore-new \
		--git-force-create \
		--git-upstream-tree=upstream
		
git-buildpackage-release:
	git-buildpackage \
		--git-upstream-branch=upstream \
		--git-debian-branch=master \
		--git-tag \
		--git-force-create \
		--git-upstream-tree=upstream
	dh_clean

override_dh_clean:
	dh_clean
	make clean
	rm -fr .pc

=== debian/watch ===
version=3
http://developer.berlios.de/project/showfiles.php?group_id=8074 \
    .*asus_oled-(.*)\.tar\.bz2
